require "test_runner"

require_relative "assert/assertion"
require_relative "assert/check"
require_relative "assert/checks"
require_relative "assert/errors"
require_relative "assert/syntax"

module TestRunner
  module Assert
    def self.inspect object, truncate = 100
      raw = object.inspect
      return raw if raw.size <= truncate
      "#{raw[0..truncate - 2]} …\""
    end
  end

  def self.included target
    Assert::Syntax.infect target
  end
end
